Bug 203929

Summary: www/seahub: Update to 5.1.5 with several bug fixes
Product: Ports & Packages Reporter: Ultima <Ultima1252>
Component: Individual Port(s)Assignee: Dmitry Marakasov <amdmi3>
Status: Closed FIXED    
Severity: Affects Some People CC: informatique.src, junovitch, miwi, yan_jingfeng
Priority: --- Keywords: patch, patch-ready
Version: LatestFlags: Ultima1252: maintainer-feedback+
Hardware: Any   
OS: Any   
See Also: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=201437
Bug Depends on: 203927, 203928, 203933, 204110, 205122, 205123, 208839    
Bug Blocks:    
Attachments:
Description Flags
seahub.diff
none
102amd64-poudriere.log
none
102i386-poudriere.log
none
93amd64-poudriere.log
none
93i386-poudriere.log
none
seahub.diff
Ultima1252: maintainer-approval+
seahub.diff
Ultima1252: maintainer-approval+
seahub.diff
Ultima1252: maintainer-approval+
seahub.diff
Ultima1252: maintainer-approval+
seahub.diff
Ultima1252: maintainer-approval+
seahub.diff
Ultima1252: maintainer-approval+
seahub.diff
Ultima1252: maintainer-approval+
seahub.diff
Ultima1252: maintainer-approval+
seahub.diff
Ultima1252: maintainer-approval+
seahub.diff
Ultima1252: maintainer-approval+
seahub.diff
Ultima1252: maintainer-approval+
seahub.diff
Ultima1252: maintainer-approval+
seahub.diff Ultima1252: maintainer-approval+

Description Ultima 2015-10-21 15:06:39 UTC
Created attachment 162291 [details]
seahub.diff

This is primarily an update, new depends, and default option change, and bug fixes. As of 4.2, django-appconf, django_compressor, and django-statici18n are required to run seahub. This was added to SITEPACKAGES options. Currently I cannot get seahub to run without SITEPACKAGES option on, therefore I am adding it to default. Because of this option change, I decided on updating the third party packages to the most current version without breaking the port.

When running an update script in ${SEAFILE_SERVER}/update, a link is created that can cause pkg upgrade issues. This update Integrates the update in the pkg to prevent this. An old fix that was broken has been fixed to set env variables.

* Updated to 5.1.0
* Updated third party packages
* New runtime depends  django-appconf, django_compressor, and django-statici18n
* Added Max python version
* Added SHEBANGFIX files
* Added SITEPACKAGES to default
* SEAFILE_VERSION will now display properly
* Fixed scripts to correctly display locations in PATH
* Minor changes to satisfy portlint
* Removed undeeded files this update creates.
* Moved/Added symlink to fix upgrade problems

https://reviews.freebsd.org/D3943
Comment 1 Ultima 2015-10-21 20:14:41 UTC
Created attachment 162312 [details]
102amd64-poudriere.log
Comment 2 Ultima 2015-10-21 20:15:00 UTC
Created attachment 162313 [details]
102i386-poudriere.log
Comment 3 Ultima 2015-10-21 20:15:24 UTC
Created attachment 162314 [details]
93amd64-poudriere.log
Comment 4 Ultima 2015-10-21 20:15:40 UTC
Created attachment 162315 [details]
93i386-poudriere.log
Comment 5 Jason Unovitch freebsd_committer 2015-10-29 03:24:13 UTC
Set maintainer-feedback+ as submitter is now maintainer and this is ready for QA and commit.
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2015-10-29 03:27:45 UTC
@Jason, with any approvals/feedback items where the maintainer isn't changing the issue themselves, please reference how/where the feedback/approval was obtained.

Ideally, the maintainer can/should set these flags themselves, which avoids ambiguities and potential conflicts ("no, i didnt really/explicitly/officially say this or that".

Was there an issue for the MAINTAINER change request and approval? If so, reference that as a/the blocking issue for these changes so that the audit trail can be followed easily
Comment 7 Jason Unovitch freebsd_committer 2015-10-29 03:32:10 UTC
(In reply to Kubilay Kocak from comment #6)
The maintainer expressed he will not be able to maintain the ports due to a new family member here https://lists.FreeBSD.org/pipermail/freebsd-ports/2015-October/100923.html and this is the follow up for bug 204110 passing on maintainership.
Comment 8 Kubilay Kocak freebsd_committer freebsd_triage 2015-10-29 04:29:12 UTC
@Jason, thanks. It would be good if the issues that are now in Ultima's hands are all linked to bug 204110 (as a depends, now closed)
Comment 9 Jason Unovitch freebsd_committer 2015-10-30 02:31:26 UTC
Add depends on bug 204110 to have the audit trail on why the maintainer-feedback was reset.
Comment 10 informatique.src 2015-11-05 13:49:09 UTC
Hi,
Thank you for taking the time to update the seafile ports. Hope your work will reach the ports tree soon :-)

Just wondering where did you find this 5.1.0 release please ? The latest release of the opensource edition listed on the github of the project is release "5.0-server"


Thanks !
Comment 11 Ultima 2015-11-05 16:11:21 UTC
(In reply to informatique.src from comment #10)

Hey there,

 There are two branches of the webui. The -server and the -pro. We are currently using the -pro version. I have no idea what the difference is other than -pro version tends to be ahead of -server. The seahub and seafile version difference does not appear to be bothered by this difference in versioning. (4.4.2 seafile version with 5.1.0 seahub version)
Comment 12 Ultima 2015-11-26 15:11:16 UTC
Created attachment 163552 [details]
seahub.diff

* Updated to 4.4.7
* Updated third party packages
* New runtime depends  django-appconf, django_compressor, and django-statici18n
* Added Max python version
* Added SHEBANGFIX files
* Added SITEPACKAGES to default
* SEAFILE_VERSION will now display properly
* Fixed scripts to correctly display locations in PATH
* Minor changes to satisfy portlint
* Removed undeeded files this update creates.
* Moved/Added symlink to fix upgrade problems
Comment 13 Ultima 2015-11-26 15:14:43 UTC
 After looking it over, I believe the 5.1.0 release was a mistake to be tagged as such. So I'm going to change this update to the 4.4.7 release.
Comment 14 Ultima 2015-12-08 04:51:12 UTC
Created attachment 163975 [details]
seahub.diff

* Updated to 5.0.0
* Updated third party packages
* Added django-appconf, django_compressor, django-statici18n, django-constance, and django-picklefield to SITEPACKAGES
* Added SITEPACKAGES to default
* Several fixes
* Moved/Added symlink to fix upgrade problems
* Recreated rc script, now runs as seafile user instead of root

portlint -A:
WARN: Makefile: [0]: possible direct use of command "file" found. use ${FILE} instead.
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
0 fatal errors and 2 warnings found.

both false positives

poudriere -t -C:
builds fine in 102amd64, 102i386, 93amd64, 93i386 with defaults

I am currently using this in production and have created many jails to test this patch.


This patch needs to be pushed with PR 203930 203933 203934 and 205122 205123
Comment 15 Ultima 2015-12-29 07:11:48 UTC
Created attachment 164809 [details]
seahub.diff
Comment 16 Ultima 2016-01-29 22:21:41 UTC
Created attachment 166285 [details]
seahub.diff

* Updated to 5.0.4

portlint -AC:
WARN: Makefile: [0]: possible direct use of command "file" found. use ${FILE} instead. (False positive)
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.

poudriere bulk -Ct:
102amd64: ok
102i386: ok
93amd64: ok
93i386: ok
Comment 17 Ultima 2016-01-29 22:23:40 UTC
(In reply to Ultima from comment #16)
* Updated to 5.0.5, not 5.0.4
Comment 18 Ultima 2016-01-31 20:11:36 UTC
Created attachment 166364 [details]
seahub.diff

* Added py-mysqldb to runtime depends

 sqlite is not currently working. pgsql is supposedly supported, however mysql is what I suggest. Currently only installs mysql client.
Comment 19 Ultima 2016-03-01 21:38:08 UTC
Created attachment 167616 [details]
seahub.diff

* Updated to 5.0.6
Comment 20 Ultima 2016-03-11 21:28:19 UTC
Created attachment 168021 [details]
seahub.diff

* Updated to 5.0.7
Comment 21 Ultima 2016-04-16 23:05:46 UTC
Created attachment 169389 [details]
seahub.diff

 This one is a biggy. Updated to 5.1.1, option thirdparty has been removed and all of the dependencies have been moved to run time dependencies. Also removed obsolete depends.

* Updated to 5.1.1
* Deleted option thirdparty
* Added many run_depends
* Deleted files, no longer used
* Cleaned up Makefile
Comment 22 Ultima 2016-04-22 17:34:23 UTC
Created attachment 169570 [details]
seahub.diff

* Updated to 5.1.2
* Added USERS/GROUPS
Comment 23 Ultima 2016-04-23 19:50:34 UTC
Created attachment 169609 [details]
seahub.diff

RC script's new user/group var needed updating with last patch.
Comment 24 Ultima 2016-04-26 14:46:37 UTC
Created attachment 169721 [details]
seahub.diff

* Update to 5.1.3
Comment 25 Ultima 2016-05-14 17:19:56 UTC
Created attachment 170285 [details]
seahub.diff

* Updated to 5.1.4

portlint -AC: WARN: Makefile: [0]: possible direct use of command "file" found. use ${FILE} instead. (False positive)
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
0 fatal errors and 2 warnings found.

poudriere bulk -tC:
11amd64: Ok
11i386: Ok
103amd64: Ok
103i386: Ok
93amd64: Skipped, spdylay requires OpenSSL 1.0.1+
93i386: Skipped, spdylay requires OpenSSL 1.0.1+
Comment 26 Dmitry Marakasov freebsd_committer 2016-05-24 10:54:53 UTC
Committer timeout
Comment 27 Ultima 2016-05-25 03:36:22 UTC
Created attachment 170642 [details]
seahub.diff

* Updated to 5.1.5

portlint -AC:
WARN: Makefile: [0]: possible direct use of command "file" found. use ${FILE} instead. (false pos)
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
0 fatal errors and 2 warnings found.

poudriere bulk -tC:
11amd64: success
11i386: success
102amd64: success
102i386: success
93amd64: spdylay requires OpenSSL 1.0.1+
93i386: spdylay requires OpenSSL 1.0.1+
Comment 28 commit-hook freebsd_committer 2016-05-29 13:58:56 UTC
A commit references this bug:

Author: amdmi3
Date: Sun May 29 13:57:53 UTC 2016
New revision: 416105
URL: https://svnweb.freebsd.org/changeset/ports/416105

Log:
  - Update to 5.1.5
  - Multiple port improvements

  PR:		203929
  Submitted by:	Ultima1252@gmail.com (maintainer)

Changes:
  head/www/seahub/Makefile
  head/www/seahub/distinfo
  head/www/seahub/files/altinstall.pth
  head/www/seahub/files/patch-send__user__notifications.sh.template
  head/www/seahub/files/patch-send_user_notifications.sh.template
  head/www/seahub/files/patch-setenv.sh.template
  head/www/seahub/files/pkg-message.in
  head/www/seahub/files/seahub.in
  head/www/seahub/files/setup.cfg
  head/www/seahub/files/setup.py
  head/www/seahub/pkg-plist